> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openwhispr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create note

> Create a new note.



## OpenAPI

````yaml /openapi.json post /notes/create
openapi: 3.1.0
info:
  title: OpenWhispr API
  version: 1.0.0
  description: Manage notes, folders, transcriptions, and usage programmatically.
servers:
  - url: https://api.openwhispr.com/api/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /notes/create:
    post:
      tags:
        - Notes
      summary: Create note
      description: Create a new note.
      operationId: createNote
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - content
              properties:
                content:
                  type: string
                  description: The note body text.
                title:
                  type: string
                  nullable: true
                  description: Optional title.
                enhanced_content:
                  type: string
                  nullable: true
                  description: Cleaned or enhanced version.
                note_type:
                  type: string
                  enum:
                    - personal
                    - meeting
                    - upload
                  default: personal
                  description: Type of note.
                folder_id:
                  type: string
                  format: uuid
                  nullable: true
                  description: Target folder ID.
      responses:
        '201':
          description: Created note.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Note'
        '400':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Note:
      type: object
      properties:
        id:
          type: string
          format: uuid
        user_id:
          type: string
        client_note_id:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        content:
          type: string
        enhanced_content:
          type: string
          nullable: true
        note_type:
          type: string
          enum:
            - personal
            - meeting
            - upload
        folder_id:
          type: string
          format: uuid
          nullable: true
        participants:
          type: string
          nullable: true
          description: >-
            JSON-serialized list of meeting participants (read-only; populated
            by the desktop sync layer for meeting notes).
        calendar_event_id:
          type: string
          nullable: true
          description: >-
            Linked calendar event ID (read-only; populated by the desktop sync
            layer when a recording is started from a calendar event).
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key starting with owk_live_

````